Loading...
Searching...
No Matches
COMPS_Doc Struct Reference

`#include <comps_doc.h>`

## Data Fields

COMPS_ObjDict * | objects
COMPS_Log * | log
COMPS_Str * | encoding

## Detailed Description

COMPS_Object derivate containing whole comps.xml document.

## Field Documentation

## encoding

COMPS_Str* COMPS_Doc::encoding

comps.xml document encoding

## log

COMPS_Log* COMPS_Doc::log

COMPS_Log object to store log messages evoked by parsing and xml generating

## objects

COMPS_ObjDict* COMPS_Doc::objects

dictionary of comps subobjects

The documentation for this struct was generated from the following file:

- comps_doc.h